import { ref, computed } from 'vue'
import { defineStore } from 'pinia'

const useyXmlStore = defineStore('Xml', () => {
  const xmlStr = ref('')
  const doubleCount = computed(() => xmlStr)
  function increment() {
    xmlStr
  }

  return { xmlStr, doubleCount, increment }
})
const useyPythonCodeStore = defineStore('code', () => {
  const pythonCode = ref('')
  const doubleCount = computed(() => pythonCode)
  function increment() {
    pythonCode
  }

  return { pythonCode, doubleCount, increment }
})

const useImportFileNameStore = defineStore("fileName", () => {
  const fileName = ref("")
  const doubleCount = computed(() => fileName)
  function increment() {
    fileName
  }
  return { fileName, doubleCount, increment }
})

export default { useyXmlStore, useyPythonCodeStore,useImportFileNameStore }
